Subject: bug#71732: 30.0.50; [FR] xdg: provide an ability to create XDG directory, if it does not exist

From: Ihor Radchenko <[email-masked]>
Date: Sun, 23 Jun 2024 12:12:20 +0000

Eli Zaretskii <[email-masked]> writes:

>> According to
>> https://specifications.freedesktop.org/basedir-spec/basedir-spec-latest.html,
>> 0700 permission is a part of XDG spec.
>
> I already explained that: we don't blindly follow any standards, and
> this particular issue is up to the calling Lisp program.  xdg.el has
> no business forcing permissions on the caller.

I do not ask to force the permissions.
I am asking to provide an API function that will create XDG dir with
appropriately assignment permissions. It will be up to the xdg.el caller
to use that API function.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>